! encoded to %21 in links in chat, breaking them on lazier sites

RESOLVED WORKSFORME

Status

Instantbird
Conversation
RESOLVED WORKSFORME
4 years ago
4 years ago

People

(Reporter: Instantbot, Unassigned)

Tracking

Details

(Reporter)

Description

4 years ago
*** Original post on bio 953 by Cory Petosky <cory AT petosky.net> at 2011-07-29 20:14:00 UTC ***

Clicking on or copying a link with an ! in causes the ! to be encoded as %21. While HTML encoding weird characters is often good, it's breaking in this case as many sites use a #! combination in Ajax-y URLs to make them crawlable by Google but don't unencode the URL client-side when making the request (see http://code.google.com/web/ajaxcrawling/docs/getting-started.html for details).
*** Original post on bio 953 at 2012-02-13 20:33:40 UTC ***

(In reply to comment #0)
> Clicking on or copying a link with an ! in causes the ! to be encoded as %21.
> While HTML encoding weird characters is often good, it's breaking in this case
> as many sites use a #! combination in Ajax-y URLs to make them crawlable by
> Google but don't unencode the URL client-side when making the request (see
> http://code.google.com/web/ajaxcrawling/docs/getting-started.html for details).

Did you see this with a particular protocol or have steps to reproduce? Thanks!

Comment 2

4 years ago
*** Original post on bio 953 at 2012-03-09 22:21:29 UTC ***

I can't confirm this with the links I tried, so resolving as WFM.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.